Bug 998726 - Unable to switch to discrete graphics on Asus X53T
Unable to switch to discrete graphics on Asus X53T
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 18:38 EDT by Simone Sclavi
Modified: 2015-02-17 11:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:50:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simone Sclavi 2013-08-19 18:38:08 EDT
Description of problem:
I have an AMD notebook, the ASUS X53T, with two gpu cards, both Ati.

0:IGD:+:Pwr:0000:00:01.0
1:DIS: :Off:0000:01:00.0

Card0 is Advanced Micro Devices [AMD/ATI] BeaverCreek [Radeon HD 6520G]
Card1 is Advanced Micro Devices [AMD/ATI] Thames [Radeon HD 7500M/7600M Series]

If I try to connect with outputs the discrete card (Card1) the screen goes black and I can only force reboot through kernel sysrq or connect with ssh from another machine. The switch never worked for me, I bought the notebook one year ago.

How reproducible:
Try to connects discrete graphics with outputs trough vgaswitcheroo interface.

Steps to Reproduce:
1. echo DIS > /sys/kernel/debug/vgaswitcheroo/switch

Actual results:
Screen goes black immediately and cannot be unblocked 

Expected results:
Switch to discrete card

Additional info:
Dmesg reports a lot of errors:
[dom ago 18 22:29:53 2013] vga_switcheroo: client 0 refused switch
[dom ago 18 22:29:53 2013] vga_switcheroo: setting delayed switch to client 1
[dom ago 18 22:29:56 2013] radeon: switched on
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0: Refused to change power state, currently in D3
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0: Refused to change power state, currently in D3
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0: GPU softreset: 0x00000BDD
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   GRBM_STATUS               = 0xFFFFFFFF
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   GRBM_STATUS_SE0           = 0xFFFFFFFF
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   GRBM_STATUS_SE1           = 0xFFFFFFFF
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   SRBM_STATUS               = 0xFFFFFFFF
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   SRBM_STATUS2              = 0xFFFFFFFF
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   R_008674_CP_STALLED_STAT1 = 0xFFFFFFFF
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   R_008678_CP_STALLED_STAT2 = 0xFFFFFFFF
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   R_00867C_CP_BUSY_STAT     = 0xFFFFFFFF
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   R_008680_CP_STAT          = 0xFFFFFFFF
[dom ago 18 22:29:56 2013] radeon 0000:01:00.0:   R_00D034_DMA_STATUS_REG   = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0: Wait for MC idle timedout !
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0: GRBM_SOFT_RESET=0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0: SRBM_SOFT_RESET=0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   GRBM_STATUS               = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   GRBM_STATUS_SE0           = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   GRBM_STATUS_SE1           = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   SRBM_STATUS               = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   SRBM_STATUS2              = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   R_008674_CP_STALLED_STAT1 = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   R_008678_CP_STALLED_STAT2 = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   R_00867C_CP_BUSY_STAT     = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   R_008680_CP_STAT          = 0xFFFFFFFF
[dom ago 18 22:29:58 2013] radeon 0000:01:00.0:   R_00D034_DMA_STATUS_REG   = 0xFFFFFFFF
[dom ago 18 22:30:03 2013] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 5secs aborting
[dom ago 18 22:30:03 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing CE9C (len 62, WS 0, PS 0) @ 0xCEB8
[dom ago 18 22:30:03 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing BB9C (len 1036, WS 4, PS 0) @ 0xBC99
[dom ago 18 22:30:03 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing BB32 (len 76, WS 0, PS 8) @ 0xBB3A
[dom ago 18 22:30:04 2013] radeon 0000:01:00.0: Wait for MC idle timedout !
[dom ago 18 22:30:05 2013] radeon 0000:01:00.0: Wait for MC idle timedout !
[dom ago 18 22:30:05 2013] [drm] PCIE GART of 512M enabled (table at 0x0000000000273000).
[dom ago 18 22:30:05 2013] radeon 0000:01:00.0: WB enabled
[dom ago 18 22:30:05 2013] radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000040000c00 and cpu addr 0xffff880240604c00
[dom ago 18 22:30:05 2013] radeon 0000:01:00.0: fence driver on ring 3 use gpu addr 0x0000000040000c0c and cpu addr 0xffff880240604c0c
[dom ago 18 22:30:05 2013] radeon 0000:01:00.0: fence driver on ring 5 use gpu addr 0x0000000000072118 and cpu addr 0xffffc900232b2118
[dom ago 18 22:30:05 2013] [drm:r600_ring_test] *ERROR* radeon: ring 0 test failed (scratch(0x8504)=0xFFFFFFFF)
[dom ago 18 22:30:05 2013] [drm:evergreen_resume] *ERROR* evergreen startup failed on resume
[dom ago 18 22:30:10 2013] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 5secs aborting
[dom ago 18 22:30:10 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing C546 (len 1136, WS 0, PS 0) @ 0xC570
[dom ago 18 22:30:15 2013] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 5secs aborting
[dom ago 18 22:30:15 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing CE9C (len 62, WS 0, PS 0) @ 0xCEB8
[dom ago 18 22:30:20 2013] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 5secs aborting
[dom ago 18 22:30:20 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing CE9C (len 62, WS 0, PS 0) @ 0xCEB8
[dom ago 18 22:30:25 2013] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 5secs aborting
[dom ago 18 22:30:25 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing CE9C (len 62, WS 0, PS 0) @ 0xCEB8
[dom ago 18 22:30:30 2013] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 5secs aborting
[dom ago 18 22:30:30 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing CE9C (len 62, WS 0, PS 0) @ 0xCEB8
[dom ago 18 22:30:35 2013] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 5secs aborting
[dom ago 18 22:30:35 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing CE9C (len 62, WS 0, PS 0) @ 0xCEB8
[dom ago 18 22:30:40 2013] [drm:atom_op_jump] *ERROR* atombios stuck in loop for more than 5secs aborting
[dom ago 18 22:30:40 2013] [drm:atom_execute_table_locked] *ERROR* atombios stuck executing CE9C (len 62, WS 0, PS 0) @ 0xCEB8
Comment 1 Fedora End Of Life 2015-01-09 14:31:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:50:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.